Skip to content

API: Support

Generated from the API's OpenAPI schema. Paths are relative to https://cloud.tebibhost.com. Authentication, errors, pagination and idempotency are on the API overview.

GET/api/v1/orgs/{organization_id}/support/tickets

List Tickets (listTickets)

IAM action: support:ListTickets

ParameterInTypeDescription
organization_id requiredpathstring
statusquery"active" | "closed" | "all"
limitqueryinteger (nullable)
cursorquerystring (nullable)

Responses

  • 200 OK (Page_TicketOut_)
  • 400 Invalid request (ErrorOut)
  • 401 Not authenticated (ErrorOut)
  • 403 Access denied: the error names the action and the resource (ErrorOut)
  • 404 Not found (also: the resource belongs to another organization) (ErrorOut)
  • 409 Conflict or quota exceeded (ErrorOut)
  • 422 Idempotency key reused for a different request (ErrorOut)
  • 429 Rate limited (ErrorOut)
Fields of Page_TicketOut_
FieldTypeDescription
itemsarray of TicketOut
next_cursorstring (nullable)

POST/api/v1/orgs/{organization_id}/support/tickets

Create Ticket (createTicket)

IAM action: support:CreateTicket

ParameterInTypeDescription
organization_id requiredpathstring

Request body (JSON, TicketIn)

FieldTypeDescription
attachmentsarray of TicketAttachmentIn
body requiredstring
category required"billing" | "technical" | "abuse" | "account" | "other"
project_idstring (nullable)
severity"low" | "normal" | "high" | "urgent" Default: "normal".
subject requiredstring

Responses

  • 201 Created (TicketDetailOut)
  • 400 Invalid request (ErrorOut)
  • 401 Not authenticated (ErrorOut)
  • 403 Access denied: the error names the action and the resource (ErrorOut)
  • 404 Not found (also: the resource belongs to another organization) (ErrorOut)
  • 409 Conflict or quota exceeded (ErrorOut)
  • 422 Idempotency key reused for a different request (ErrorOut)
  • 429 Rate limited (ErrorOut)
Fields of TicketDetailOut
FieldTypeDescription
categorystring
closed_atstring (date-time) (nullable)
created_atstring (date-time)
idstring
last_customer_message_atstring (date-time) (nullable)
last_staff_message_atstring (date-time) (nullable)
message_countinteger
messagesarray of TicketMessageOut
opened_bystring
project_idstring (nullable)
resolved_atstring (date-time) (nullable)
severitystring
statusstring
subjectstring
trnstring
updated_atstring (date-time)

GET/api/v1/orgs/{organization_id}/support/tickets/{ticket_id}

Get Ticket (getTicket)

IAM action: support:GetTicket

ParameterInTypeDescription
organization_id requiredpathstring
ticket_id requiredpathstring

Responses

  • 200 OK (TicketDetailOut)
  • 400 Invalid request (ErrorOut)
  • 401 Not authenticated (ErrorOut)
  • 403 Access denied: the error names the action and the resource (ErrorOut)
  • 404 Not found (also: the resource belongs to another organization) (ErrorOut)
  • 409 Conflict or quota exceeded (ErrorOut)
  • 422 Idempotency key reused for a different request (ErrorOut)
  • 429 Rate limited (ErrorOut)
Fields of TicketDetailOut
FieldTypeDescription
categorystring
closed_atstring (date-time) (nullable)
created_atstring (date-time)
idstring
last_customer_message_atstring (date-time) (nullable)
last_staff_message_atstring (date-time) (nullable)
message_countinteger
messagesarray of TicketMessageOut
opened_bystring
project_idstring (nullable)
resolved_atstring (date-time) (nullable)
severitystring
statusstring
subjectstring
trnstring
updated_atstring (date-time)

GET/api/v1/orgs/{organization_id}/support/tickets/{ticket_id}/attachments/{attachment_id}/content

Get Ticket Attachment Content (getTicketAttachmentContent)

IAM action: support:GetTicketAttachment

ParameterInTypeDescription
organization_id requiredpathstring
ticket_id requiredpathstring
attachment_id requiredpathstring

Responses

  • 200 The file, as a download (application/octet-stream)
  • 400 Invalid request (ErrorOut)
  • 401 Not authenticated (ErrorOut)
  • 403 Access denied: the error names the action and the resource (ErrorOut)
  • 404 Not found (also: the resource belongs to another organization) (ErrorOut)
  • 409 Conflict or quota exceeded (ErrorOut)
  • 422 Idempotency key reused for a different request (ErrorOut)
  • 429 Rate limited (ErrorOut)

POST/api/v1/orgs/{organization_id}/support/tickets/{ticket_id}/close

Close Ticket (closeTicket)

IAM action: support:CloseTicket

ParameterInTypeDescription
organization_id requiredpathstring
ticket_id requiredpathstring

Responses

  • 200 OK (TicketOut)
  • 400 Invalid request (ErrorOut)
  • 401 Not authenticated (ErrorOut)
  • 403 Access denied: the error names the action and the resource (ErrorOut)
  • 404 Not found (also: the resource belongs to another organization) (ErrorOut)
  • 409 Conflict or quota exceeded (ErrorOut)
  • 422 Idempotency key reused for a different request (ErrorOut)
  • 429 Rate limited (ErrorOut)
Fields of TicketOut
FieldTypeDescription
categorystring
closed_atstring (date-time) (nullable)
created_atstring (date-time)
idstring
last_customer_message_atstring (date-time) (nullable)
last_staff_message_atstring (date-time) (nullable)
message_countinteger
opened_bystring
project_idstring (nullable)
resolved_atstring (date-time) (nullable)
severitystring
statusstring
subjectstring
trnstring
updated_atstring (date-time)

POST/api/v1/orgs/{organization_id}/support/tickets/{ticket_id}/messages

Reply Ticket (replyTicket)

IAM action: support:ReplyTicket

ParameterInTypeDescription
organization_id requiredpathstring
ticket_id requiredpathstring

Request body (JSON, TicketReplyIn)

FieldTypeDescription
attachmentsarray of TicketAttachmentIn
body requiredstring

Responses

  • 201 Created (TicketMessageOut)
  • 400 Invalid request (ErrorOut)
  • 401 Not authenticated (ErrorOut)
  • 403 Access denied: the error names the action and the resource (ErrorOut)
  • 404 Not found (also: the resource belongs to another organization) (ErrorOut)
  • 409 Conflict or quota exceeded (ErrorOut)
  • 422 Idempotency key reused for a different request (ErrorOut)
  • 429 Rate limited (ErrorOut)
Fields of TicketMessageOut
FieldTypeDescription
attachmentsarray of TicketAttachmentOut
author_kind"customer" | "staff" | "system"
author_namestring
bodystring
created_atstring (date-time)
idstring